GCLOUD_PREVIEW_APP_MODULES_SET-MANAGED-BY(1)

NAME

gcloud preview app modules set-managed-by - sets the policy for the Flexible VMs of the given services and version

SYNOPSIS

gcloud preview app modules set-managed-by MODULES [MODULES ...] --version VERSION [--google | --self] [--instance VM_NAME] [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) This command is deprecated. Please use the gcloud preview app instances enable-debug and gcloud preview app instances disable-debug commands instead. This command sets the policy for the App Engine Flexible VMs of the given services and version. When your module uses VM runtimes, you can use this command to change the management mode for a set of your VMs. If you switch to self-managed, SSH will be enabled on the VMs, and they will be removed from the health checking pools, but will still receive requests. When you switch back to Google-managed mode, any local changes on the VMs are lost and they are restarted and added back into the normal pools.

POSITIONAL ARGUMENTS
MODULES [MODULES ...]
    One or more service names to perform this action on. To select the default service for your app, use "default".

REQUIRED FLAGS
--version VERSION
    The version of the app that you want to operate on.

OPTIONAL FLAGS
--google
    Switch the VMs back to being Google managed. Any local changes on the VMs will be lost.
--instance VM_NAME
    The VM name for the instance to set the management policy on. If not given, all instances will be set.
--self
    Switch the VMs to self managed mode. This will allow you SSH into, and debug your app on these machines.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To switch to self-managed mode for a module, run:
    $ gcloud preview app modules set-managed-by default --version=1 \
        --self
To switch back to Google-managed mode for a module, run:
    $ gcloud preview app modules set-managed-by default --version=1 \
        --google
To set just a single VM instance of a module to self-managed mode, run:
    $ gcloud preview app modules set-managed-by default --version=1 \
        --self --instance=VM_NAME

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.